Subject: Re: merge conflict resolution for pm-freezer

From: "Rafael J. Wysocki" <[email-masked]>
Date: Wed, 30 Nov 2011 20:51:54 +0100

On Tuesday, November 29, 2011, Rafael J. Wysocki wrote:
> On Tuesday, November 29, 2011, Tejun Heo wrote:
> > Hello, Rafael, Stephen.
> > 
> > Linus just pulled cgroup fixes which conflicts with pm-freezer.  The
> > resolution is mostly trivial.  The cgroup fix changes frozen() test to
> > is_task_frozen_enough() while pm-freezer commit prepends "freezing()
> > && " to it.  They just need to be combined into "freezing() &&
> > is_task_frozen_enough()".
> > 
> > The following git branch contains merged branch.  I pulled the current
> > linus/master a34815b96 "Merge branch 'for-3.2-fixes' of
> > git://git.kernel.org/pub/scm/linux/kernel/git/tj/cgroup" into
> > pm-freezer and resolved the conflict described above.
> > 
> >   git://git.kernel.org/pub/scm/linux/kernel/git/tj/misc.git pm-freezer-merge
> > 
> > Rafael, please feel free to pull or resolve in any way you see fit.
> 
> Well, could you please post a fix patch on top of my pm-freezer branch?
> That would be the most convenient way to me. :-)

No, that won't work.  I think I'll resolve the conflict when merging pm-freezer
into pm-for-linus later.

Thanks,
Rafael